# Package org.eclipse.m2m.atl.debug.core.adwp

package org.eclipse.m2m.atl.debug.core.adwp

Related Packages
Package
Description
org.eclipse.m2m.atl.debug.core
Classes
Class
Description
ADWP
ATL Debug Wire Protocol: declarations for ATL VM debugging protocol.
ADWPCommand
A command part of the ADWP protocol.
ADWPDebugger
The ADWP debugger.
AtlMapValue
Map elements are special case of AtlValue There is a key and a value.
AtlValue
ATL Value (for debug).
BooleanValue
The boolean implementation of the debugger value.
IntegerValue
The Integer implementation of the debugger value.
NullValue
The "null" value.
ObjectReference
A reference to an object.
RealValue
The Real implementation of the debugger value.
RemoteObjectReference
The remote implementation of the `ObjectReference`.
StringValue
The String implementation of the debugger value.
Value
A debugger value.